Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.exceptions
[Java] Class MVCGroupInstantiationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  griffon.exceptions.GriffonException
                      griffon.exceptions.MVCGroupException
                          griffon.exceptions.MVCGroupInstantiationException

    public class MVCGroupInstantiationException
    extends MVCGroupException

Authors:
  Andres Almiray

Since:
  0.9.3

Field Summary
`private String` | `mvcName`
`private String` | `mvcType`

Constructor Summary
`MVCGroupInstantiationException(String message, String mvcType, String mvcName)`
`MVCGroupInstantiationException(String message, String mvcType, String mvcName, Throwable cause)`
`MVCGroupInstantiationException(String mvcType, String mvcName, Throwable cause)`

Method Summary
`String` | `getMvcName()`
`String` | `getMvcType()`

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Field Detail

### mvcName

    private final String mvcName

### mvcType

    private final String mvcType

Constructor Detail

### MVCGroupInstantiationException

    public MVCGroupInstantiationException(String message, String mvcType, String mvcName)

### MVCGroupInstantiationException

    public MVCGroupInstantiationException(String message, String mvcType, String mvcName, Throwable cause)

### MVCGroupInstantiationException

    public MVCGroupInstantiationException(String mvcType, String mvcName, Throwable cause)

Method Detail

### getMvcName

    public String getMvcName()

### getMvcType

    public String getMvcType()

Groovy Documentation